# getSynchronizationTasks

open fun getSynchronizationTasks(): TaskDependency

Returns the tasks to be executed before the Eclipse synchronization starts.

This property doesn't have a direct effect to the Gradle Eclipse plugin's behaviour. It is used, however, by Buildship to execute the configured tasks each time before the user imports the project or before a project synchronization starts.

#### Return

the tasks names

#### Since

5.4